UNFINISHED! Class to manage particle effects.

### Hierarchy

- ParticleEffect

## Index

### Constructors

- constructor

### Properties

- asset
- color
- effectName
- handle
- invertAxis
- offset
- range
- rotation
- scale

### Accessors

- AssetName
- EffectName
- Handle
- InvertAxis
- IsActive
- Range
- Rotation

### Methods

- setParameter
- start
- stop
- toString

## Constructors

### constructor

- new ParticleEffect(asset: ParticleEffectAsset, effectName: string): ParticleEffect

- - Defined in ParticleEffect.ts:26

  Creates a particle effect.

  #### Parameters

  - ##### asset: ParticleEffectAsset

    Particle effect asset.

  - ##### effectName: string

    Name of effect.

  #### Returns ParticleEffect

## Properties

### Protected Readonly asset

asset: ParticleEffectAsset

- Defined in ParticleEffect.ts:10

### Protected color

color: Color = ...

- Defined in ParticleEffect.ts:14

### Protected Readonly effectName

effectName: string

- Defined in ParticleEffect.ts:11

### Private handle

handle: number

- Defined in ParticleEffect.ts:18

### Protected invertAxis

invertAxis: InvertAxis = ...

- Defined in ParticleEffect.ts:17

### Protected offset

offset: Vector3 = ...

- Defined in ParticleEffect.ts:12

### Protected range

range: number = 1.0

- Defined in ParticleEffect.ts:16

### Protected rotation

rotation: Vector3 = ...

- Defined in ParticleEffect.ts:13

### Protected scale

scale: number = 1.0

- Defined in ParticleEffect.ts:15

## Accessors

### AssetName

- get AssetName(): string

- - Defined in ParticleEffect.ts:132

  Get the name of the particle effect asset. Same as ParticleEffect.AssetName.

  #### Returns string

### EffectName

- get EffectName(): string

- - Defined in ParticleEffect.ts:139

  Get the name of the particle effect.

  #### Returns string

### Handle

- get Handle(): number

- - Defined in ParticleEffect.ts:35

  Get the particle effect handle.

  #### Returns number

### InvertAxis

- get InvertAxis(): InvertAxis
- set InvertAxis(invertAxis: InvertAxis): void

- - Defined in ParticleEffect.ts:102

  Get the invert axis flag of the particle effect.

  #### Returns InvertAxis

- - Defined in ParticleEffect.ts:109

  Set the inverted axis of the particle effect.

  #### Parameters

  - ##### invertAxis: InvertAxis

  #### Returns void

### IsActive

- get IsActive(): boolean

- - Defined in ParticleEffect.ts:42

  Get whether particle effect is currently active.

  #### Returns boolean

### Range

- get Range(): number
- set Range(range: number): void

- - Defined in ParticleEffect.ts:87

  Get the range of the particle effect.

  #### Returns number

- - Defined in ParticleEffect.ts:94

  Set the range of the particle effect.

  #### Parameters

  - ##### range: number

  #### Returns void

### Rotation

- get Rotation(): Vector3
- set Rotation(rotation: Vector3): void

- - Defined in ParticleEffect.ts:61

  Get the rotation of the particle effect.

  #### Returns Vector3

- - Defined in ParticleEffect.ts:68

  Set the rotation of the particle effect.

  #### Parameters

  - ##### rotation: Vector3

  #### Returns void

## Methods

### setParameter

- setParameter(parameterName: string, value: number): void

- - Defined in ParticleEffect.ts:123

  Set a paramaeter of a particle effect.

  #### Parameters

  - ##### parameterName: string

    Name of parameter.

  - ##### value: number

    Value of parameter.

  #### Returns void

### Abstract start

- start(): boolean

- - Defined in ParticleEffect.ts:46

  #### Returns boolean

### stop

- stop(): void

- - Defined in ParticleEffect.ts:51

  Stop a particle effect.

  #### Returns void

### toString

- toString(): string

- - Defined in ParticleEffect.ts:146

  Return the particle effect as string. `AssetName`\`EffectName`.

  #### Returns string

Generated using TypeDoc